/**
 * @file iap_check.h
 * @brief CycloneBOOT IAP image verification handling
 *
 * @section License
 *
 * Copyright (C) 2010-2022 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneBOOT Eval.
 *
 * This software is provided in source form for a short-term evaluation only. The
 * evaluation license expires 90 days after the date you first download the software.
 *
 * If you plan to use this software in a commercial product, you are required to
 * purchase a commercial license from Oryx Embedded SARL.
 *
 * After the 90-day evaluation period, you agree to either purchase a commercial
 * license or delete all copies of this software. If you wish to extend the
 * evaluation period, you must contact sales@oryx-embedded.com.
 *
 * This evaluation software is provided "as is" without warranty of any kind.
 * Technical support is available as an option during the evaluation period.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 2.0.0
 **/

#ifndef _IAP_CHECK_H
#define _IAP_CHECK_H

//Dependencies
#include "iap_config.h"
#include "iap/iap.h"

//CycloneBOOT IAP check related functions
error_t iapCheckInit(ImageContext *context);
error_t iapCheckUpdateTag(ImageContext *context, const uint8_t *data, size_t length);
error_t iapCheckFinalizeTag(ImageContext *context);
error_t iapCheckVerify(ImageContext *context);

#endif // !_IAP_CHECK_H
