/**
 * @file lldp_procedures.h
 * @brief LLDP state machine procedures
 *
 * @section License
 *
 * Copyright (C) 2010-2022 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Eval.
 *
 * This software is provided in source form for a short-term evaluation only. The
 * evaluation license expires 90 days after the date you first download the software.
 *
 * If you plan to use this software in a commercial product, you are required to
 * purchase a commercial license from Oryx Embedded SARL.
 *
 * After the 90-day evaluation period, you agree to either purchase a commercial
 * license or delete all copies of this software. If you wish to extend the
 * evaluation period, you must contact sales@oryx-embedded.com.
 *
 * This evaluation software is provided "as is" without warranty of any kind.
 * Technical support is available as an option during the evaluation period.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 2.1.4
 **/

#ifndef _LLDP_PROCEDURES_H
#define _LLDP_PROCEDURES_H

//Dependencies
#include "core/net.h"
#include "lldp/lldp.h"

//C++ guard
#ifdef __cplusplus
extern "C" {
#endif

//LLDP agent related functions
void lldpMibConstrInfoLldpdu(LldpPortEntry *port);
void lldpMibConstrShutdownLldpdu(LldpPortEntry *port);
void lldpTxFrame(LldpPortEntry *port);
void lldpTxInitializeLLDP(LldpPortEntry *port);
void lldpMibDeleteObjects(LldpPortEntry *port);
void lldpMibUpdateObjects(LldpPortEntry *port);
void lldpRxInitializeLLDP(LldpPortEntry *port);
void lldpRxProcessFrame(LldpPortEntry *port);

//C++ guard
#ifdef __cplusplus
}
#endif

#endif
